#include "panel/lcd_h189s001.h"

static uint8_t panel_init_struct[] = {
    0x00, 0xFE,                                            // ??
    0x00, 0xEF,                                            // ??
    0x01, 0x80, 0x11,                                      // ??
    0x01, 0x81, 0x70,                                      // ??
    0x01, 0x82, 0x09,                                      // ??
    0x01, 0x83, 0x03,                                      // ??
    0x01, 0x84, 0x62,                                      // ??
    0x01, 0x89, 0x18,                                      // ??
    0x01, 0x8A, 0x40,                                      // ??
    0x01, 0x8B, 0x0A,                                      // ??
    0x01, 0x3A, 0x05,                                      // ??
    0x01, 0x36, 0x40,                                      // ??
    0x01, 0xEC, 0x07,                                      // ??
    0x06, 0x74, 0x01, 0x80, 0x00, 0x00, 0x00, 0x00,        // ??
    0x01, 0x98, 0x3E,                                      // ??
    0x01, 0x99, 0x3E,                                      // ??
    0x02, 0xA1, 0x01, 0x04,                                // ??
    0x02, 0xA2, 0x01, 0x04,                                // ??
    0x01, 0xCB, 0x02,                                      // ??
    0x02, 0x7C, 0xB6, 0x24,                                // ??
    0x01, 0xAC, 0x74,                                      // ??
    0x01, 0xF6, 0x80,                                      // ??
    0x02, 0xB5, 0x09, 0x09,                                // ??
    0x02, 0xEB, 0x01, 0x81,                                // ??
    0x04, 0x60, 0x38, 0x06, 0x13, 0x56,                    // ??
    0x04, 0x63, 0x38, 0x08, 0x13, 0x56,                    // ??
    0x04, 0x61, 0x3B, 0x1B, 0x58, 0x38,                    // ??
    0x04, 0x62, 0x3B, 0x1B, 0x58, 0x38,                    // ??
    0x06, 0x64, 0x38, 0x0A, 0x73, 0x16, 0x13, 0x56,        // ??
    0x06, 0x66, 0x38, 0x0B, 0x73, 0x17, 0x13, 0x56,        // ??
    0x07, 0x68, 0x00, 0x0B, 0x22, 0x0B, 0x22, 0x1C, 0x1C,  // ??
    0x07, 0x69, 0x00, 0x0B, 0x26, 0x0B, 0x26, 0x1C, 0x1C,  // ??
    0x02, 0x6A, 0x15, 0x00,                                // ??
    0x20, 0x6E, 0x08, 0x02, 0x1a, 0x00, 0x12, 0x12, 0x11, 0x11, 0x14, 0x14, 0x13, 0x13, 0x04, 0x19, 0x1E,
    0x1D, 0x1D, 0x1E, 0x19, 0x04, 0x0B, 0x0B, 0x0C, 0x0C, 0x09, 0x09, 0x0A, 0x0A, 0x00, 0x1A, 0x01, 0x07,  // ??
    0x07, 0x6C, 0xCC, 0x0C, 0xCC, 0x84, 0xCC, 0x04, 0x50,                                                  // ??
    0x01, 0x7D, 0x72,                                                                                      // ??
    0x0A, 0x70, 0x02, 0x03, 0x09, 0x07, 0x09, 0x03, 0x09, 0x07, 0x09, 0x03,                                // ??
    0x04, 0x90, 0x06, 0x06, 0x05, 0x06,                                                                    // ??
    0x03, 0x93, 0x45, 0xFF, 0x00,                                                                          // ??
    0x05, 0xC3, 0x15, 0xC4, 0x36, 0xC9, 0x3D,                                                              // ??
    0x06, 0xF0, 0x47, 0x07, 0x0A, 0x0A, 0x00, 0x29,                                                        // ??
    0x06, 0xF2, 0x47, 0x07, 0x0A, 0x0A, 0x00, 0x29,                                                        // ??
    0x06, 0xF1, 0x42, 0x91, 0x10, 0x2D, 0x2F, 0x6F,                                                        // ??
    0x06, 0xF3, 0x42, 0x91, 0x10, 0x2D, 0x2F, 0x6F,                                                        // ??
    0x01, 0xF9, 0x30,                                                                                      // ??
    0x01, 0xBE, 0x11,                                                                                      // ??
    0x02, 0xFB, 0x00, 0x00,                                                                                // ??
};

const gc9b71_panel_config_t lcd_h189s001_panel_config = {
    .init_struct        = panel_init_struct,
    .init_struct_length = sizeof(panel_init_struct),
    .ram_size_x         = 320,
    .ram_size_y         = 390,
    .ram_offset_x       = 0,
    .ram_offset_y       = 0,
    .size_x             = 320,
    .size_y             = 386,
    .bgr_filter         = false,
    .inversion          = false,
};